* {
    margin: 0;
    padding: 0;
}
::-webkit-scrollbar {
    display: none;
}
:root {
    --vh: 1vh;
}
@keyframes heart_beat {
    from {
        transform: scale(1);
    }
    50% {
        transform: scale(1);
    }
    60% {
        transform: scale(0.9);
    }
    70% {
        transform: scale(1.05);
    }
    80% {
        transform: scale(0.9);
    }
    90% {
        transform: scale(1.05);
    }
    100% {
        transform: scale(1);
    }
}
@keyframes wave {
    from {
        opacity: 1;
        transform: scale(0.5);
    }
    50% {
        opacity: 0.7;
        transform: scale(0.75);
    }
    100% {
        opacity: 0;
        transform: scale(1);
    }
}
.heart_animate {
    animation: heart_beat;
    animation-iteration-count: infinite;
    animation-duration: 2s;
    animation-timing-function: linear;
}
.wave_bl {
    animation: wave;
    animation-iteration-count: infinite;
    animation-duration: 2s;
    animation-timing-function: linear;
}
.heart_animate1 {
    animation: heart_beat;
    animation-iteration-count: 1;
    animation-duration: 2s;
    animation-timing-function: linear;
}

@keyframes bottomdd {
    from {
        bottom: -600px;
    }
    100% {
        bottom: 0px;
    }
}
.bottom_600px {
    bottom: -600px;
}
.bottom_0 {
    bottom: 0px;
}
.bottom_200_2show {
    animation: bottomdd;
    animation-duration: 1s;
}
.transition_duraion1s {
    animation-duration: 1s;
}
.gold_textt {
    font-size: 20px;
    font-weight: 500;
    color: #ffa544;
}
.gray {
    color: gray;
}
.height_100vh {
    height: 100vh;
}
.width_50px {
    width: 50px;
}
.width_400px {
    width: 400px;
}
.lflsdbox {
    display: flex;
}
.font_black {
    color: #343a40;
}
.flex_shrink_0 {
    flex-shrink: 0;
}
.error_text_color {
    color: #e4393c;
}
.right_text_color {
    color: rgb(26, 193, 26);
}
.height_60 {
    height: 60px;
}
.font_size_15 {
    font-size: 15px;
}
.font_size_18 {
    font-size: 18px;
}
.width_120px {
    width: 120px;
}
.width_150 {
    width: 150%;
}
.font_gray {
    color: #74788d;
}
.back_gray {
    background: #f8f9fd;
}
.width_32 {
    width: 32%;
}
.width_33 {
    width: 33%;
}
.bluebg {
    background: #1890ff;
}
.bluecl {
    color: #1890ff;
}
.alignend {
    align-self: flex-end;
}
.padding_10px {
    padding: 10px;
}

.margin_1p {
    margin: 10px 1%;
}
.font_size_12 {
    font-size: 12px;
}
.width_500px {
    width: 500px;
}
.width_600px {
    width: 600px;
}
.width_70 {
    width: 70%;
}
.width_700px {
    width: 700px;
}
.width_800px {
    width: 800px;
}
.width_1200px {
    width: 1200px;
}
.title_hd {
    height: 40px;
    line-height: 40px;
    padding-left: 20px;
    padding-right: 20px;
    border-bottom: 1px solid #dee4f5;
}
.width_200px {
    width: 200px;
}
/*  */
.el-select-dropdown {
    /* min-width: 360px !important; */
}
.vertical_middle {
    vertical-align: middle;
}
.vertical_top {
    vertical-align: top;
}
.cursor {
    cursor: pointer;
}
a {
    text-decoration: none;
    color: #4b4b4b;
}
.wrop {
    flex-wrap: wrap;
}
.back_white {
    background: #fff;
}
.gray_color {
    color: var(--yuntian_gray_color);
}

html {
    font-size: 10px;
}
.margin_auto {
    margin: auto;
}
.padding_20 {
    padding: 20px;
}
.padding_20px {
    padding: 20px;
}
.padding_right_1 {
    padding-right: 10px;
}
.padding_left_1 {
    padding-left: 1rem;
}
.padding_left_4 {
    padding-left: 4px;
}
.padding_left_20 {
    padding-left: 20px;
}
.padding_top_20 {
    padding-top: 2rem;
}
.gray_color1 {
    color: #606266;
}
.padding_top_30 {
    padding-top: 3rem;
}
.padding_top_70 {
    padding-top: 7rem;
}
.padding_1 {
    padding: 1rem;
}
.padding_bottom_harf {
    padding-bottom: 0.5rem;
}
.padding_bottom_20 {
    padding-bottom: 2rem;
}
.padding_bottom_30 {
    padding-bottom: 3rem;
}
.wsnp {
    white-space: nowrap;
}
.align_baseline {
    align-items: baseline;
}
.iconfont {
    font-size: none;
}
.margin_top_10 {
    margin-top: 10px;
}
.margin_top_30 {
    margin-top: 30px;
}

.bottom_center {
    bottom: 0;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}
.margin_top_3 {
    margin-top: 3rem;
}
.margin_top_20 {
    margin-top: 20px;
}
.margin_top_4 {
    margin-top: 4rem;
}
.margin-bottom-2 {
    margin-top: 2rem;
}
.width_100 {
    width: 100%;
}
.width_90 {
    width: 90%;
}
.width_95 {
    width: 95%;
}
.margin_bottom_5 {
    margin-bottom: 5px;
}
.width_80 {
    width: 80%;
}
.width_60 {
    width: 60%;
}
.width_49 {
    width: 49%;
}
.width_48 {
    width: 48%;
}
.width_47 {
    width: 47%;
}
.width_50 {
    width: 50%;
}
.width_45 {
    width: 45%;
}

.width_40 {
    width: 40%;
}
.width_30 {
    width: 30%;
}
.width_20 {
    width: 20%;
}
.width_25 {
    width: 25%;
}
.z_index100 {
    z-index: 100;
}
.width_15 {
    width: 15%;
}
.height_100 {
    height: 100%;
}
.font_size_4 {
    font-size: 0.8rem;
}
.display_none {
    display: none;
}
.display_inline_block {
    display: inline-block;
}
.display_flex {
    display: flex;
}
.display_block {
    display: block;
}
.flex_row {
    flex-direction: row;
}
.flex_align_stretch {
    align-items: stretch;
}
.flex_column {
    flex-direction: column;
}
.flex_1 {
    flex: 1;
}
.flex_2 {
    flex: 2;
}
.flex_5 {
    flex: 5;
}
.flex_6 {
    flex: 6;
}
.flex_7 {
    flex: 7;
}
.flex_item_full {
    align-items: stretch;
}

.flex_align_end {
    align-items: flex-end;
}

.flex_align_center {
    align-items: center;
}

.flex_align_base {
    align-items: baseline;
}

.font_size_1 {
    font-size: 1rem;
}
.font_size_2 {
    font-size: 1.2rem;
}
.font_size_3 {
    font-size: 1.3rem;
}
.font_size_4 {
    font-size: 1.4rem;
}
.font_size_5 {
    font-size: 1.5rem;
}
.font_size_6 {
    font-size: 1.6rem;
}
.font_size_7 {
    font-size: 1.7rem;
}
.font_size_8 {
    font-size: 1.8rem;
}
.font_size_9 {
    font-size: 1.9rem;
}
.font_size_20 {
    font-size: 2rem;
}
.font_size_21 {
    font-size: 2.1rem;
}
.font_size_30 {
    font-size: 3rem;
}
.font_size_36 {
    font-size: 3.6rem;
}
.font_size_40 {
    font-size: 4rem;
}
.font_size_60 {
    font-size: 6rem;
}
.flex_jusify_space {
    justify-content: space-between;
}
.text_right {
    text-align: right;
}
.text_center {
    text-align: center;
}
.box_szing {
    box-sizing: border-box;
}
.margin_left_1 {
    margin-left: 0.1rem;
}
.margin_left_10 {
    margin-left: 10px;
}
.margin_left_2 {
    margin-left: 0.2rem;
}
.margin_left_3 {
    margin-left: 0.3rem;
}
.margin_left_4 {
    margin-left: 0.4rem;
}
.margin_left_5 {
    margin-left: 0.5rem;
}
.margin_left_5px {
    margin-left: 5px;
}
.margin_left_14 {
    margin-left: 1.4rem;
}
.margin_left_15 {
    margin-left: 1.5rem;
}
.margin_left_16 {
    margin-left: 1.6rem;
}
.margin_left_17 {
    margin-left: 1.7rem;
}
.margin_left_18 {
    margin-left: 1.8rem;
}
.margin_left_20 {
    margin-left: 2rem;
}
.margin_left_22 {
    margin-left: 2.2rem;
}
.margin_left_28 {
    margin-left: 2.8rem;
}
.margin_left_38 {
    margin-left: 3.8rem;
}
.margin_left_80 {
    margin-left: 80px;
}
.flex_end {
    justify-content: flex-end;
}
.width_23 {
    width: 23%;
}
.width_300px {
    width: 300px;
}
.flex_center {
    justify-content: center;
}
.margin_right_20 {
    margin-right: 2rem;
}
.font_filter {
    color: #74788d;
}
.margin_right_5 {
    margin-right: 5px;
}
.el-input {
    --el-input-placeholder-color: red !important;
}
.place_color input::-webkit-input-placeholder {
    color: rgb(175, 170, 170) !important;
}
.place_color input::-moz-placeholder {
    color: rgb(175, 170, 170) !important;
}
.place_color input:-moz-placeholder {
    color: rgb(175, 170, 170) !important;
}
.place_color input:-ms-input-placeholder {
    color: rgb(175, 170, 170) !important;
}
.margin_right_10 {
    margin-right: 10px;
}
.margin_top_1 {
    margin-top: 1rem;
}
.margin_bottom_1 {
    margin-bottom: 1rem;
}
.width_19 {
    width: 19%;
}
.font_size_14 {
    font-size: 14px;
}
.margin_bottom_15 {
    margin-bottom: 1.5rem;
}
.width_150px {
    width: 150px;
}
.width_97 {
    width: 97%;
}
.margin_top_5 {
    margin-top: 5px;
}
.width_24 {
    width: 24%;
}
.margin_bottom_15px {
    margin-bottom: 15px;
}
.margin_bottom_25px {
    margin-bottom: 25px;
}
.margin_bottom_2 {
    margin-bottom: 2rem;
}
.margin_bottom_3 {
    margin-bottom: 3rem;
}
.margin_bottom_4 {
    margin-bottom: 4rem;
}

.position_relative {
    position: relative;
}
.overflow_scroll {
    overflow: scroll;
}

.overflow_hidden {
    overflow: hidden;
}
.hoverdiv {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.8);
    z-index: 1000;
}
.gray_text1 {
    color: rgb(185, 181, 181);
}
.position_absolute {
    position: absolute;
}
.text_left {
    text-align: left;
}
.width_235 {
    width: 23.5%;
}
.position_fixed {
    position: fixed;
}
.margin_left_5px {
    margin-left: 5px;
}
.margin_left_3px {
    margin-left: 3px;
}
.pcs {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1002;
    transition: 0.4s;
    transform: translate(-50%, -50%);
}
.pcs_x {
    position: absolute;
    left: 50%;
    z-index: 1002;
    transition: 0.4s;
    transform: translateX(-50%);
}
.trans1s {
    transition-duration: 1s;
}
.width_55 {
    width: 55%;
}
.z_index1000 {
    z-index: 10001;
}
.z_index1002 {
    z-index: 10002;
}
.width_40px {
    width: 40px;
}
.blur {
    background: inherit;
    -webkit-filter: blur(6px);
    -moz-filter: blur(6px);
    -ms-filter: blur(6px);
    -o-filter: blur(6px);
    filter: blur(6px);
    filter: progid:DXImageTransform.Microsoft.Blur(PixelRadius=15, MakeShadow=false);
}
.text_decoration_overlin {
    text-decoration: line-through;
}
.text_decoration_underline {
    text-decoration: underline;
}

.font_weight_200 {
    font-weight: 200;
}
.font_weight_400 {
    font-weight: 400;
}
.font_weight_600 {
    font-weight: 600;
}
.clear_div {
    clear: left;
}
.font_weight_800 {
    font-weight: 800;
}
.float_left {
    float: left;
}
.float_right {
    float: right;
}
.flex_3 {
    flex: 3;
}
.nscrol::-webkit-scrollbar {
    display: none;
}
.hasscrol::-webkit-scrollbar {
    display: block;
    width: 4px;
    height: 4px;
    background-color: rgb(228, 225, 225);
}
.hasscrol::-webkit-scrollbar-thumb {
    border-radius: 4px;
    -webkit-box-shadow: inset 0 0 6px rgba(96, 82, 82, 0.3);
    background-color: #ece1e1;
}
/* 大于800的样式 */
.media_wrop_800 {
    flex-wrap: nowrap;
}
.el_divider {
    display: inline-block;
    width: 1px;
    height: 1em;
    background-color: #dcdfe6;
    margin: 0 8px;
    vertical-align: middle;
    position: relative;
}
.margin_top_15px {
    margin-top: 10px;
}
.el-message {
    max-width: 95%;
}
.lqf {
    margin-top: 20px;
    height: 40px;
    background: linear-gradient(90deg, #ff7902 0%, #ff471e 100%);
    border-radius: 20px;
    text-align: center;
    line-height: 40px;
    color: white;
    font-size: 17px;
}
.margin_bottom_15px {
    margin-bottom: 10px;
}
.gray_line {
    height: 1px;
    background: rgba(231, 227, 227, 0.6);
}
.gray_line_s {
    height: 10px;
    width: 1px;
    background: rgba(231, 227, 227, 0.6);
}
.media_display_800 {
    display: inline-block;
}
.el-checkbox {
    color: white;
}
.media_width_80_800 {
    width: 80%;
}
.media_flex_row_800 {
    flex-direction: row;
}
.media_width_20_800 {
    width: 20%;
}
.media_width_40_800 {
    width: 30%;
}
.media_height_300 {
    height: 700px;
}
/* 小于800 的尺寸 */
@media screen and (max-width: 800px) {
    .meidia_margin_top_3 {
        margin-top: 3px;
    }
    .media_screen_none {
        display: none;
    }
    .display_by_screen_800 {
        display: block;
    }
    .media_wrop_800 {
        flex-wrap: wrap;
    }
    .media_width_80_800 {
        width: 100%;
    }
    .el-dialog {
        width: 90%;
    }
    .media_flex_row_800 {
        flex-direction: column;
    }
    .media_width_20_800 {
        width: 100%;
    }
    .media_width_40_800 {
        width: 100%;
    }
    .media_height_300 {
        height: 300px;
    }
}
.table_text_center th,
.table_text_center td {
    text-align: center;
}
.el-dialog {
    margin-bottom: 20px;
}
.text_align_right {
    text-align: right;
}
.cancel_red {
    color: #e4393c;
}
.width_140px {
    width: 140px;
}
/* editbox */
.margin_right_10 {
    margin-right: 10px;
}
.margin_1p {
    margin: 0 1%;
}
.width_100px {
    width: 100px;
}
.width_200px {
    width: 200px;
}
.margin_left_10 {
    margin-left: 10px;
}
.width_80px {
    width: 80px;
}
.hovbox {
    background: transparent;
    top: 50px;
}
.width_300px {
    width: 300px;
}
.margin_right_10 {
    margin-right: 10px;
}
.margin_right_40 {
    margin-right: 40px;
}
.margin_right_30 {
    margin-right: 30px;
}

.margin_bottom_10 {
    margin-bottom: 10px;
}
.margin_bottom_20 {
    margin-bottom: 20px;
}
.padding_top_0 {
    padding-top: 0;
}

@keyframes rotate543 {
    from {
        transform: translate(10px, 10px);
    }

    100% {
        transform: translate(-10px, -20px);
    }
}

/*  */

@keyframes translateXX {
    from {
        transform: translateX(5px);
    }

    100% {
        transform: translateX(120px);
    }
}
@keyframes eggani {
    from {
        transform-origin: 50% 100%;
        transform: rotate(0deg);
    }
    10% {
        transform-origin: 50% 100%;
        transform: rotate(10deg);
    }
    20% {
        transform-origin: 50% 100%;
        transform: rotate(-10deg);
    }
    30% {
        transform-origin: 50% 100%;
        transform: rotate(10deg);
    }
    40% {
        transform-origin: 50% 100%;
        transform: rotate(-10deg);
    }
    45% {
        transform-origin: 50% 100%;
        transform: rotate(0deg);
    }
    100% {
        transform-origin: 50% 100%;
        transform: rotate(0deg);
    }
}

@keyframes shake {
    from {
        transform: scale(0.8);
    }

    25% {
        transform: translateX(10px);
    }
    50% {
        transform: translateX(-10px);
    }
    75% {
        transform: translateX(10px);
    }
    100% {
        transform: translateX(0px);
    }
}
@keyframes width_animate {
    from {
        width: 0;
    }

    100% {
        width: 100%;
    }
}
@keyframes rotate5431 {
    from {
        transform: translateY(10px);
    }

    100% {
        transform: translateY(-10px);
    }
}

@keyframes scalseani {
    from {
        transform: scale(1);
    }

    25% {
        transform: scale(1.3);
    }

    50% {
        transform: scale(0.7);
    }
    75% {
        transform: scale(1.3);
    }
    100% {
        transform: scale(1);
    }
}

@keyframes rorateee {
    from {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(720deg);
    }
}
.fawddd {
    font-size: 19px;
    font-weight: 600;
    color: #e60025;
}
.yel {
    color: #c86d0a;
}
.white {
    color: #fff;
}
.el-loading-mask.is-fullscreen {
    z-index: 1000111 !important;
}
.hands_animate {
    animation: rotate543;
    animation-iteration-count: infinite;
    animation-duration: 0.2s;
    animation-timing-function: linear;
    animation-direction: alternate;
}
.transxx{
    animation: translateXX;
    animation-iteration-count: infinite;
    animation-duration: 1.4s;
    animation-timing-function: linear;
    /* animation-direction: alternate; */
    
}
.egg_animate {
    animation: eggani;
    animation-iteration-count: infinite;
    animation-duration: 1.4s;
    animation-timing-function: linear;
    animation-direction: alternate;
}
.shake {
    animation: shake;
    animation-iteration-count: infinite;
    animation-duration: 1s;
    animation-timing-function: linear;
    animation-direction: normal;
}
.width_animate {
    animation: width_animate;
    animation-iteration-count: infinite;
    animation-duration: 2s;
    animation-timing-function: linear;
}

.coin_animate {
    animation: rotate5431;
    animation-iteration-count: infinite;
    animation-duration: 0.3s;
    animation-timing-function: linear;
    animation-direction: alternate;
}
.rotate_animat1s {
    animation: rorateee;
    animation-duration: 1s;
    animation-timing-function: linear;
}
.rotate_animate_infinite {
    animation: rorateee;
    animation-duration: 9s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}

.rotate_animate {
    animation: rorateee;
    animation-duration: 2.2s;
    animation-timing-function: linear;
}
.scalee_animate {
    animation: scalseani;
    animation-duration: 1.2s;
    animation-timing-function: linear;
}

.app_red {
    color: #ff5c60;
}
.lflsdbox .fasdw {
    font-size: 60px;
    font-weight: 500;
    color: #ff5c60;
    line-height: 80px;
    text-shadow: 0px 1px 1px #fb0f45;
    background: linear-gradient(180deg, #ff2e5e 0%, #ff1c53 99%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
.lflsdbox .fawe {
    height: 22px;
    line-height: 22px;
    color: white;
    font-size: 12px;
    padding: 0 5px;
    background: #00ca7a;
    border-radius: 11px;
    border-bottom-left-radius: 0;
}
.width_75 {
    width: 75%;
}
.lflsdbox .fgfawer {
    font-size: 20px;
    color: #ff5c60;
    font-weight: 600;
}


@font-face {  font-family: Roboto; src: url('../assets/font/Roboto-Thin.ttf') format('truetype'); /* 字体文件路径 */}


@font-face {  font-family: SigmarOne; src: url('../assets/font/SigmarOne.ttf') format('truetype'); /* 字体文件路径 */}
.nowrap22{
    white-space: nowrap; /* 不换行 */  
    overflow: hidden; /* 隐藏溢出内容 */  
    text-overflow: ellipsis; /* 省略号 */  
}